Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1058023 - [engine-webadmin] [single-disk-snapshot] no option to commit several snapshots
Summary: [engine-webadmin] [single-disk-snapshot] no option to commit several snapshots
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-webadmin
Version: 3.4
Hardware: x86_64
OS: Unspecified
unspecified
high
Target Milestone: ---
: 3.4.1
Assignee: Daniel Erez
QA Contact: bugs@ovirt.org
URL:
Whiteboard: storage
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-26 13:57 UTC by Elad
Modified: 2016-02-10 17:43 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-27 16:26:18 UTC
oVirt Team: Storage


Attachments (Terms of Use)
screenshots and engine.log (deleted)
2014-01-26 13:57 UTC, Elad
no flags Details

Description Elad 2014-01-26 13:57:20 UTC
Created attachment 855680 [details]
screenshots and engine.log

Description of problem:
I've custom previewed several snapshots (disk from 1 snapshot and conf. from another). Only one of the snapshots marked an 'in preview', which means commit is possible only to this snapshot.  

Version-Release number of selected component (if applicable):
ovirt-engine-3.4.0-0.5.beta1.el6.noarch

How reproducible:
Always

Steps to Reproduce:
1. Create 2 snapshots to a VM
2. Preview (custom) snapshots of a disk from first snapshot with configuration from the second one


Actual results:
Only one snapshot is 'in preview' status

Expected results:
Both snapshots should be in status 'in preview'

Additional info:
screenshots and engine.log

Comment 1 Daniel Erez 2014-01-27 16:26:18 UTC
According to the design of single disk snapshot [1],
the limitation of a single snapshot of type 'in preview' is kept.
I.e. as before, only one VM configuration can be previewed (the 'in preview' mark is an indication of the selected configuration). The previewed disks are displayed in current VM (disks tab).

[1] http://www.ovirt.org/Features/Single_Disk_Snapshot


Note You need to log in before you can comment on or make changes to this bug.